| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshObjectDrawCallback Struct Reference
[Mesh plugins, Mesh plugins]

Set a callback which is called just before the object is drawn. More...

`#include <imesh/object.h>`

Inheritance diagram for iMeshObjectDrawCallback:

[legend]
List of all members.

## Public Member Functions
virtual bool | BeforeDrawing (iMeshObject *spr, iRenderView *rview)=0
| Before drawing.

## Detailed Description

Set a callback which is called just before the object is drawn.

Definition at line 83 of file object.h.

## Member Function Documentation

virtual bool iMeshObjectDrawCallback::BeforeDrawing | ( | iMeshObject * | spr,
|  | iRenderView * | rview |
| ) |  |  | `[pure virtual]`

Before drawing.

The documentation for this struct was generated from the following file:

- imesh/object.h